=== modified file 'NEWS'
--- NEWS	2010-01-20 07:45:20 +0000
+++ NEWS	2010-01-20 13:01:28 +0000
@@ -52,6 +52,9 @@
   user-specified commit message editor.
   (Martin Pool, #504842)
 
+* Better explain the --uncommitted option of merge.
+  (Neil Martinsen-Burrell, #505088)
+
 * ``bzr export dir`` now requests all file content as a record stream,
   rather than requsting the file content one file-at-a-time. This can make
   exporting over the network significantly faster (54min => 9min in one

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2010-01-18 18:35:11 +0000
+++ bzrlib/builtins.py	2010-01-20 13:01:28 +0000
@@ -3647,7 +3647,11 @@
     committed to record the result of the merge.
 
     merge refuses to run if there are any uncommitted changes, unless
-    --force is given.
+    --force is given.  
+
+    If one would like to merge changes from the working tree of the other
+    branch without merging any committed revisions, the --uncommitted option
+    can be given.
 
     To select only some changes to merge, use "merge -i", which will prompt
     you to apply each diff hunk and file change, similar to "shelve".

